Subject: Re: bug#6637: 24.0.50; kill ring being seriously polluted

From: Thierry Volpiatto <[email-masked]>
Date: Thu, 15 Jul 2010 12:05:57 +0200

David De La Harpe Golden <[email-masked]> writes:

> On 15/07/10 09:50, Tim Van Holder wrote:
>>
>> With the current BZR head, the kill ring seems to be seriously
>> broken, at least in conjunction with pc-selection-mode.
>> It seems that whenever I mark a region (using shift + arrow keys), the
>> contents of that region go into the kill ring, and when I enter text to
>> replace that region, the first character (and only the first character)
>> goes into the kill ring.
>> This seriously breaks some common activities, i.e. copying a piece of
>> code, then pasting it several times, adjusting those parts that need
>> adjusting.
>> Is there an option to disable this less-than-desirable "functionality"
>> until the behaviour is returned to sanity? If not, I suppose I can
>> handle a few extra M-y presses for a while, but I'd like to see this
>> fixed as soon as possible.
>>
>
> [Well, please  bear in mind you're running unstable development code
> if you're running bzr head rather than a release AFAIU]
>
> If you just want shift-arrow selection, note that that has worked in
> emacs anyway for a while, without pc-selection-mode turned on as such.
> But since your bug was for the delete-selection part, well, I guess
> that's less than satisfactory.
>
> The problem is likely in delete-selection-mode (which
> pc-selection-mode uses underneath) or some of the code it calls in
> simple.el:
>
> I was totally expecting this to be related to certain recent changes
> in default selection handling, but breakage happened in my short test
> even with them turned off on X11 emacs on debian.  It may/must still
> be related to recent rearrangements, of course, just perhaps not in
> the area I thought.
>
> I for one won't get to look properly at this until the weekend, though
> I'm not the only person about.

That appear even if delete-selection-mode is turned off, to disable that
i use here:

,----
| (setq x-select-enable-clipboard nil)
| (setq interprogram-paste-function nil)
`----

and it seem working fine.

-- 
Thierry Volpiatto
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997